<!DOCTYPE html>
<html>
<head>
   <title>Patern 24</title>
</head>
<body>
   <script>
      var output;
      var jmlBaris = 4;
      var jmlKolom = jmlBaris;
      var frontSpace = jmlBaris;
      for (let i = 0; i <= jmlBaris; i++) {
         output = '';
         
         if (i == 0 || i == jmlBaris) {
            for (let i = 0; i < frontSpace; i++) {
               output = output + '&nbsp;&nbsp;';
                           
            }
            for (let k = 0; k <= jmlKolom; k++) {
               
               output = output + '*';
            }
         } else {
            for (let k = 0; k <= jmlKolom; k++) {
               if (k == 0) {
                  for (let i = 0; i < frontSpace; i++) {
                     output = output + '&nbsp;&nbsp;';         
                  }
                  output = output + '*';
               } else if (k == jmlBaris) {
                  output = output + '*';
               } else {
                  output = output + '&nbsp;&nbsp;';
               }
            }
         }
         frontSpace--;
         document.writeln(output);         
         document.writeln('<br>');
         
      }
   </script>
</body>
</html>